View Issue Details

IDProjectCategoryView StatusLast Update
0010730Buildsys[All Projects] generalpublic2019-04-26 15:05
Reporterbkorren 
PrioritynormalSeverityfeatureReproducibilityN/A
Status feedbackResolutionreopened 
Summary0010730: Please provide machine-readble cloud-image list
DescriptionWe would like to have access to a machine readable version of the list here: [1]

[1]: http://cloud.centos.org/centos/7/images/

The list should ideally include:

- filename (should be something users can recognise and be unique among other images)
- image name (probably 'centos-generic-cloud', but there could be other image flavours in the future)
- centos version
- image version (for the case where there was more then one image released for the same centos version)
- arch
- file format
- sha256sum

If the filename will be in the n-v-r format like package names then the image name, centos version and image version will be included inside it and will not need to be specified separately.
TagsNo tags attached.

Activities

Richard Jones

Richard Jones

2016-04-19 13:11

reporter   ~0026318

Before inventing something new, please look at the existing tools and metadata formats. Tools: virt-builder. Metadata formats: The virt-builder index.asc file, or Ubuntu's SimpleStreams. Don't invent yet another metadata format that we'll have to implement.
Richard Jones

Richard Jones

2016-04-19 13:12

reporter   ~0026319

http://libguestfs.org/virt-builder.1.html

http://libguestfs.org/virt-builder.1.html#creating-and-signing-the-index-file

Example index.asc file: http://libguestfs.org/download/builder/index.asc
kbsingh@karan.org

kbsingh@karan.org

2016-04-19 23:54

administrator   ~0026326

thanks for the pointers Richard, i think we should be able to just work with these formats.
bkorren

bkorren

2016-06-02 13:06

reporter   ~0026752

Any chance of seeing some progress here soon?
bstinson

bstinson

2019-04-26 03:44

administrator   ~0034353

Closing old bugs. Please reopen if necessary
kbsingh@karan.org

kbsingh@karan.org

2019-04-26 15:05

administrator   ~0034397

reopening

Issue History

Date Modified Username Field Change
2016-04-19 06:38 bkorren New Issue
2016-04-19 13:11 Richard Jones Note Added: 0026318
2016-04-19 13:12 Richard Jones Note Added: 0026319
2016-04-19 23:54 kbsingh@karan.org Note Added: 0026326
2016-04-19 23:55 kbsingh@karan.org Project website => Buildsys
2016-04-19 23:55 kbsingh@karan.org Category -OTHER => general
2016-06-02 13:06 bkorren Note Added: 0026752
2019-04-26 03:44 bstinson Note Added: 0034353
2019-04-26 03:44 bstinson Status new => closed
2019-04-26 15:05 kbsingh@karan.org Status closed => feedback
2019-04-26 15:05 kbsingh@karan.org Resolution open => reopened
2019-04-26 15:05 kbsingh@karan.org Note Added: 0034397